Update Charge
PUT /charges/{id}
Description
Update an existing charge configuration.
Authentication
Bearer Token
Request
Headers
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer {{token}} | Yes |
| Content-Type | application/json | Yes |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | UUID | Charge ID |
Request Body
{
"createdAt": "2026-03-13T12:03:35.017",
"deletedAt": null,
"name": "ECOCASH",
"description": "Ecocash charge",
"percentageRate": 2.00,
"composite": false,
"global": false,
"currencyString": "USD",
"companyIdString": "f5506f1d-3959-41cb-bd7b-c878c34f5a72"
}
| Field | Type | Required | Description |
|---|---|---|---|
createdAt | string (ISO 8601) | No | Creation timestamp |
deletedAt | string (ISO 8601) | No | Deletion timestamp |
name | string | Yes | Name of the charge |
description | string | No | Description of the charge |
percentageRate | number | No | Percentage rate |
composite | boolean | No | Whether charge is composite |
global | boolean | No | Whether charge is global |
currencyString | string | Yes | Currency code |
companyIdString | string (UUID) | Yes | Company ID |